# Cinder

# cinder::ip::AdaptiveThresholdT< T > Class Template Reference

`#include <Threshold.h>`

List of all members.

## Classes
struct | Obj
## Public Member Functions
| AdaptiveThresholdT ()
| AdaptiveThresholdT (ChannelT< T > *channel)
void | calculate (int32_t windowSize, float percentageDelta, ChannelT< T > *dstChannel)
typedef shared_ptr< Obj > ::unspecified_bool_type | unspecified_bool_type
| Emulates shared_ptr-like behavior.
| AdaptiveThresholdT (const AdaptiveThresholdT &other)
| Emulates shared_ptr-like behavior.
AdaptiveThresholdT & | operator= (const AdaptiveThresholdT &other)
| Emulates shared_ptr-like behavior.
bool | operator== (const AdaptiveThresholdT &other)
| Emulates shared_ptr-like behavior.
| operator unspecified_bool_type () const
| Emulates shared_ptr-like behavior.
void | reset ()
| Emulates shared_ptr-like behavior.

### template<typename T>
class cinder::ip::AdaptiveThresholdT< T >

## Member Typedef Documentation

template<typename T >

typedef shared_ptr<Obj>::unspecified_bool_type cinder::ip::AdaptiveThresholdT< T >::unspecified_bool_type

Emulates shared_ptr-like behavior.

## Constructor & Destructor Documentation

template<typename T >

cinder::ip::AdaptiveThresholdT< T >::AdaptiveThresholdT | ( |  | ) |

template<typename T >

cinder::ip::AdaptiveThresholdT< T >::AdaptiveThresholdT | ( | ChannelT< T > * | channel | ) |

template<typename T >

cinder::ip::AdaptiveThresholdT< T >::AdaptiveThresholdT | ( | const AdaptiveThresholdT< T > & | other | ) |

Emulates shared_ptr-like behavior.

## Member Function Documentation

template<typename T >

void cinder::ip::AdaptiveThresholdT< T >::calculate | ( | int32_t | windowSize,
|  | float | percentageDelta,
|  | ChannelT< T > * | dstChannel |
| ) |  |  |

template<typename T >

AdaptiveThresholdT& cinder::ip::AdaptiveThresholdT< T >::operator= | ( | const AdaptiveThresholdT< T > & | other | ) |

Emulates shared_ptr-like behavior.

template<typename T >

bool cinder::ip::AdaptiveThresholdT< T >::operator== | ( | const AdaptiveThresholdT< T > & | other | ) |

Emulates shared_ptr-like behavior.

template<typename T >

cinder::ip::AdaptiveThresholdT< T >::operator unspecified_bool_type | ( |  | ) | const

Emulates shared_ptr-like behavior.

template<typename T >

void cinder::ip::AdaptiveThresholdT< T >::reset | ( |  | ) |

Emulates shared_ptr-like behavior.

The documentation for this class was generated from the following files:

- include/cinder/ip/Threshold.h
- src/cinder/ip/Threshold.cpp